<?php defined('_JEXEC') or die();
/**
 * @version		1.1.1
 * @package		Read More, Basic
 * @copyright	2009 Rockford Solutions, Inc. All rights reserved.
 * @license		GNU/GPL
 */
 
jimport('joomla.application.component.view');

/**
 * Emails View
 *
 * @package		Read More, Basic
 */
class ReadmoreViewEmails extends JView {
	/**
	 * Display the view
	 *
	 * @param	string	Name of the layout template to display
	 */
	public function display($tmpl = null) {
		JToolBarHelper::title('Read More - Email Addresses', 'generic.png');
		JToolBarHelper::preferences('com_readmore');
		
		$data = &$this->get('Data');
		$state = &$this->get('State');
        $pagination = &$this->get('Pagination');

		$lists['order']      = $state->get('filter_order');
		$lists['order_Dir']  = $state->get('filter_order_Dir');
		$lists['search']     = $state->get('filter_search');
		$lists['search_col'] = $state->get('filter_search_col');
		$lists['search_cols'] = array(
			(object) array('value' => 'email',   'text' => 'Email Address'),
			(object) array('value' => 'addr',    'text' => 'Remote Address'),
			(object) array('value' => 'created', 'text' => 'Date Submitted')
		);
		
		$this->assignRef('data', $data);
		$this->assignRef('lists', $lists);
        $this->assignRef('pagination', $pagination);
		
		parent::display($tmpl);
	}
}
